
/* lukitaan bodyn skrollaus, kun mobiilimenuvalikko on auki */
.mobopen {
  /*position: fixed;   ongelmana hyppäys aina sivun alkuun */
  overflow-y: hidden;
}
.mobopen #primary-menu-mobile {
  overflow-y: scroll !important;
  height: auto;
  background: var(--color-bg);
}


main#primary {
  margin-top: var(--menu-height);
  -webkit-transition: margin-top .1s ease-in-out;
  transition: margin-top .1s ease-in-out;
}
.top main#primary {
  margin-top: var(--top-menu-height);
}



/******** Valikko ********/ 

/* Valikko yleiset */
.menu {
  height: 100%;
}
.menu li {
  display: flex;
  position: relative;
}
#masthead .cell {
  height: 100%;
  align-items: center;
  position: relative;
  margin: 0 auto;
}
.custom-logo {
  height: auto;
  width: 100%;
  max-width: 130px;
}
header#masthead {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
  background: #fff;
}
.site-branding {
  display: flex;
}
.nav-sub-second .active-menu-item {
  text-decoration: underline;
}



/* Tukivalikko */
.secondary-menu-row {
  background: #f6f6f6;
  height: 40px;
  -webkit-transition: all 0.15s ease-in-out;
  -moz-transition: all 0.15s ease-in-out;
  -ms-transition: all 0.15s ease-in-out;
  -o-transition: all 0.15s ease-in-out;
  transition: all 0.15s ease-in-out;
}
.top .secondary-menu-row {
  margin-top: -40px;
}
nav#secondary-navigation a {
  font-size: 1rem;
  color: #000;
  height: 40px;
  padding: 0;
  display: flex;
  align-items: center;
  font-family: var(--font);
}
nav#secondary-navigation .dropdown.menu>li.opens-right>.is-dropdown-submenu {
  top: 100%;
  right: 0;
  left: auto;
}
ul#secondary-menu {
  height: 40px;
  display: flex;
  align-items: center;
}
nav#secondary-navigation img {
  height: 20px;
  width: auto;
  padding-right: .5rem;
}
nav#secondary-navigation li {
  padding-left: 2rem;
}
nav#secondary-navigation li a::after {
  display: none;
}
#secondary-menu ul.sub-menu {
  background: #f6f6f6;
  border: 0;
  border-radius: 0 0 1rem 1rem;
  padding: 2rem 2rem 1rem 2.5rem;
  min-width: 250px;
}
nav#secondary-navigation .sub-menu li {
  padding: 0;
}
nav#secondary-navigation .sub-menu a {
  display: block;
  align-items: unset;
  height: auto;
  padding-bottom: 1rem;
}
nav#secondary-navigation .is-dropdown-submenu-parent a::after {
  position: absolute;
  top: unset;
  right: unset;
  left: unset;
  margin-top: -6px;
}



/* Päävalikko */
.main-navigation {
  display: block;
  width: 100%;
  height: var(--menu-height);
}
.main-navigation ul {
  justify-content: center;
}
.primary-menu-row {
  height: var(--menu-height);
}
.top .primary-menu-row {
  height: var(--top-menu-height);
}
#primary-menu a {
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 1.5rem;
}
#primary-menu li {
  align-items: center;
}
#primary-menu li a {
  color: #000000;
  font-family: var(--font);
  font-size: 1.125rem;
  font-weight: 600;
  text-transform: uppercase;
}
#primary-menu li a:after {
  content: '';
  border-bottom: 3px solid transparent;
  position: absolute;
  width: calc(100% - 2.5rem);
  left: 1.25rem;
  top: calc(50% + 27px);
  transition: all 100ms ease-in;
}

#primary-menu li a:hover:after,
li.current-menu-item a:after {
  content: '';
  border-bottom: 3px solid var(--color-primary);
  position: absolute;
  width: calc(100% - 2.5rem);
  top: calc(50% + 18px);
  left: 1.25rem;
}


/* Submenu */
.submenu-toggle {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  padding: 0;
}
.submenu-toggle:after {
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='7.4' viewBox='0 0 11 7.4'%3E%3Cpath id='icon_acc' d='M4.4,2.9,1.5,0,0,1.5,4.4,6,8.9,1.5,7.3,0Z'/%3E%3C/svg%3E%0A");
  border: 0;
  width: 9px;
  height: 23px;
}
#primary-menu ul.nav-sub-second li a, #primary-menu li.second-menu-color a {
  text-transform: none;
}
.primary-menu-item:hover .nav-sub-second-mega .nav-sub-second {
  display: block;
  width: 100vw;
  position: fixed;
  top: 100px;
  left: 0;
  opacity: 1;
  border-top: solid 1px var(--color-secondary);
  -webkit-transition: opacity 0.15s ease-in-out;
  -moz-transition: opacity 0.15s ease-in-out;
  -ms-transition: opacity 0.15s ease-in-out;
  -o-transition: opacity 0.15s ease-in-out;
  transition: opacity 0.15s ease-in-out;
}
.top .primary-menu-item:hover .nav-sub-second-mega .nav-sub-second {
  top: 80px;
  -webkit-transition: height 0.15s ease-in-out;
  -moz-transition: height 0.15s ease-in-out;
  -ms-transition: height 0.15s ease-in-out;
  -o-transition: height 0.15s ease-in-out;
  transition: height 0.15s ease-in-out;
}
.top .main-navigation {
  height: 80px;
}
.primary-menu-item .nav-sub-second-mega .nav-sub-second, .primary-menu-item .nav-sub-second   {
  opacity: 0;
  -webkit-transition: opacity 0.15s ease-in-out;
  -moz-transition: opacity 0.15s ease-in-out;
  -ms-transition: opacity 0.15s ease-in-out;
  -o-transition: opacity 0.15s ease-in-out;
  transition: opacity 0.15s ease-in-out;
  box-shadow: none;
}
.primary-menu-item:hover .nav-sub-second {
  opacity: 1;
}
#primary-menu ul.nav-sub-third {
  opacity: 1;
  display: block;
}
#primary-menu .nav-sub-second-mega-sub li {
  padding: 0;
}
.nav-sub-second-mega-sub {
  width: 100%;
  -webkit-columns: 5;
  -moz-columns: 5;
  columns: 5;
  -webkit-column-gap: 5rem;
  -moz-column-gap: 5rem;
  column-gap: 5rem;
  padding: 3rem 0 4rem 0;
  max-width: 87.5rem;
  margin: 0 auto;
}
.nav-sub-second-mega-sub li {
  display: grid;
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid;
  margin-top: 4em;
  overflow: hidden;
}
.nav-sub-second-mega-sub .nav-sub-third li {
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid;
  display: grid;
  margin-top: 0;
}
.nav-sub-second-mega-sub li:first-of-type {
  margin-top: 0em;
}
#primary-menu ul.nav-sub-third {
  display: unset;
  left: unset;
  position: unset;
  box-shadow: none;
  margin: 1rem 0 0;
  border-top: solid 2px var(--color-secondary);
  padding-top: 1rem;
}
.nav-sub-second-mega-sub a {
  display: block !important;
  width: auto !important;
}
.main-navigation .nav-sub-second-mega-sub a {
  display: block;
  width: auto;
}
.primary-menu-investor {
  right: 0;
}
.primary-menu-primary {
  display: flex;
  margin: 0 auto;
}
.primary-menu-primary li {
  padding: 0 1rem;
}
#primary-menu {
  justify-content: center;
}
li.second-menu-color {
  background: #d3e5dd;
}
li.second-menu-color .nav-sub-second {
  background: #d3e5dd;
}
li .nav-sub-second {
  background: var(--color-2);
}
.has-children:after {
  content: '';
  display: none;
}
#primary-menu li.second-menu-color:hover {
  background: #d3e5dd;
}
#primary-menu .nav-sub-second-mega-sub li:hover {
  background: unset;
}
ul.nav-sub-second {
  display: block;
}
#primary-menu ul.nav-sub-second a {
  font-family: var(--font);
  max-width: max-content;
  padding: 0.5rem 0;
}
#primary-menu .nav-sub-second-mega li a {
  font-size: 1.125rem;
  padding: 0;
  font-family: var(--font);
  max-width: max-content;
}
#primary-menu .nav-sub-second-mega .nav-sub-third li a {
  font-size: 1rem;
  font-family: var(--font);
  padding-bottom: 0.75rem;
  max-width: max-content;
}
#primary-menu ul.nav-sub-second {
  padding: 1.5rem 2.5rem;
  left: -999em;
  position: absolute;
  border-radius: 0;
}


#primary-menu .nav-sub-second-mega ul.nav-sub-second {
  position: fixed;
}
#primary-menu .primary-menu-item:hover ul.nav-sub-second {
  top: 100%;
  left: 0;
  right: 0;
  width: fit-content;
  min-width: 220px;
  height: auto;
  margin: -20px 0 0;
}
#primary-menu .primary-menu-item:hover .nav-sub-second-mega ul.nav-sub-second {
  top: var(--menu-height);
  width: 100%;
}
.admin-bar #primary-menu .primary-menu-item:hover .nav-sub-second-mega ul.nav-sub-second {
  top: calc( var(--menu-height) + 32px );
}

#primary-menu ul.nav-sub-second a {
  width: 300px;
  display: block;
}

/* Mobiilivalikko */
.menu-mobile{
  display: none;
}






/*****************************************/
/**********                     **********/
/**********    Media Queries    **********/
/**********                     **********/
/*****************************************/


/**********     1500px     **********/

@media screen and (max-width: 93.75em) {

  /*
  #primary-menu li a {
    font-size: 0.9rem;
  }
  */
  nav#secondary-navigation a {
    font-size: 0.8rem;
  }
  .nav-sub-second-mega-sub {
    width: calc(100vw - 8rem);
  }
  #primary-menu .nav-sub-second-mega li a {
    font-size: 0.9rem;
  }
  #primary-menu .nav-sub-second-mega .nav-sub-third li a {
    font-size: 0.8rem;
    padding-bottom: 0.6rem;
  }
  #primary-menu ul.nav-sub-third {
    margin-top: 0.8rem;
  }
  .nav-sub-second a:after, .nav-sub-second .nav-sub-third a:after, #secondary-menu ul.sub-menu a:after {
    width: 12px;
    height: 12px;
  }
  main#primary {
    margin-top: 80px;
  }
  .main-navigation, .primary-menu-row {
    height: 80px;
  }
  .primary-menu-item:hover .nav-sub-second-mega .nav-sub-second {
    top: 80px;
  }
  .nav-sub-second-mega-sub a:hover:after {
    transform: rotate(-90deg) translateY(1rem) translateX(0rem);
  }
  .nav-sub-second a:hover:after {
    transform: rotate(-90deg) translateY(1rem) translateX(0rem);
  }
  #secondary-menu ul.sub-menu a:after {
    transform: rotate(-90deg) translateY(0rem) translateX(-0.2rem);
  }
  #secondary-menu ul.sub-menu a:hover:after {
    transform: rotate(-90deg) translateY(1rem) translateX(-0.2rem);
  }
  .menu-container.cell {
    width: 100% !important;
  }
}



/**********     1200px     **********/

@media screen and (max-width: 74.9375em) {

  .title-bar {
    background: transparent;
    text-align: right;
    display: block;
    padding: 0;
  }
  .title-bar .menu-icon {
    margin-left: 0;
    margin-right: 0;
  }
  .menu-icon:hover::after {
    background: #464646;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: #464646;
  }
  .menu-icon:after {
    display: none;
  }
  .title-bar button {
    visibility: visible;
    display: block;
    background-repeat: no-repeat;
    width: 35px;
    height: 25px;
    padding: 0;
    border: 0;
    position: relative;
    background: transparent;
  }
  .title-bar button div {
    visibility: visible;
    display: block;
    text-indent: -9999px;
    background-repeat: no-repeat;
    width: 35px;
    height: 5px;
    background-color: #000000;
    margin: 10px 0;
    transition: .4s;
    transition-property: background-color,transform;
    padding: 0;
    border: 0;
    border-radius: none;
  }
  .title-bar button div:before {
    top: 0;
    position: absolute;
    content: '';
    display: block;
    width: 35px;
    height: 5px;
    background-color: #000000;
    transition-property: background-color,transform;
    transition-duration: .3s;
  }
  .title-bar button div:after {
    position: absolute;
    bottom: 0;
    content: '';
    display: block;
    width: 35px;
    height: 5px;
    background-color: #000000;
    transition-property: background-color,transform;
    transition-duration: .3s;
    -webkit-box-shadow: none;
    box-shadow: none;
  }
  .title-bar button.active,
  .title-bar button.active div {
    height: 0;
    z-index: 9;
    top: 0;
  }
  .title-bar button.active {
    top: -10px;
  }
  .title-bar button.active div:before {
    top: 8px;
    position: absolute;
    content: '';
    display: block;
    background-color: #000000;
    transition-property: background-color,transform;
    transition-duration: .3s;
    transform: rotate(45deg);
  }
  .title-bar button.active div:after {
    top: 8px;
    position: absolute;
    content: '';
    display: block;
    background-color: #000000;
    transition-property: background-color,transform;
    transition-duration: .3s;
    transform: rotate(-45deg);
  }

  #primary-menu.menu-mobile {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0;
    margin: 0;
    height: 100%;
  }
  .main-navigation, .primary-menu-row {
    height: 60px;
  }
  .primary-menu-row {
    justify-content: flex-end;
  }
  #masthead .primary-menu-row > .menu-container {
    margin: 0;
  }
  .top .primary-menu-row {
    height: 60px;
  }
  main#primary {
    margin-top: 60px;
  }
  .custom-logo {
    width: 150px;
  }
  .main-navigation.menu-desktop {
    display: none;
  }
  .menu-mobile {
    display: block;
  }
  .main-navigation ul {
    display: block;
  }
  ul#primary-menu-mobile {
    position: fixed;
    top: 140px;
    left: 0;
    width: 100%;
  }
  #primary-menu-mobile li {
    display: block;
  }
  #primary-menu a {
    height: unset;
    display: block;
  }
  ul#primary-menu-mobile {
    position: fixed;
    top: 60px;
    background-color: rgba(255,255,255,0.9);
    padding: 3.5rem 1rem 2rem 1rem;
  }
  .top ul#primary-menu-mobile {
    position: fixed;
    overflow: auto;
    padding-bottom: 4rem;
    top: 60px;
  }
  #primary-menu li a {
    font-size: 20px;
    font-weight: 600;
    padding: 0 0 28px 0;
    text-transform: uppercase;
    margin: 0 auto;
  }
  .accordion-menu .is-accordion-submenu-parent:not(.has-submenu-toggle)>a::after {
    display: inline-block;
    width: 0;
    height: 0;
    border: 0;
    content: '+';
    border-bottom-width: 0;
    border-top-style: solid;
    border-color: unset;
    position: absolute;
    top: 0;
    margin-top: 0px;
    margin-left: 0.5rem;
    right: unset;
  }
  #mobile-menu li , #mobile-menu ul {
    margin-bottom: 0;
    margin-left: 0;
    display: flex;
  }
  #mobile-menu ul.submenu {
    margin-left: 1rem;
  }
  #mobile-menu ul.submenu {
    margin-left: 1rem;
    margin-bottom: 1rem;
  }
  #mobile-menu ul.submenu li a {
    font-size: 0.9rem;
    text-transform: none;
    padding: 0 0 1rem 0px;
    font-family: var(--font);
  }
  #mobile-menu  ul.submenu ul.submenu li a {
    font-size: 0.8rem;
    text-transform: none;
    padding: 0 0 1rem 0px;
    font-family: var(--font);
  }
  #primary-menu li:hover {
    background: unset;
  }
  #mobile-menu li a {
    position: relative;
  }
  #mobile-menu li a:hover:after,
  #mobile-menu li.current-menu-item a:after {
    content: '';
    border-bottom: 3px solid var(--color-primary);
    position: absolute;
    width: calc(100% + 0.5rem);
    top: calc(50% + 3px);
    left: -0.25rem;
}

}